clockps: Xclockps_v1_0

| clockps Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Macros | Functions | Variables
Xclockps_v1_0

## Macros
#define | XCLOCK_ASSIGN_DIVIDERS_S08(ParentTypeVal, DivIndexVal, CtrlRegVal)
| Assign structure elements for dividers with control register shift of 8 bits. More...
#define | XCLOCK_ASSIGN_DIVIDERS_S16(ParentTypeVal, DivIndexVal, CtrlRegVal)
| Assign structure elements for dividers with control register shift of 16 bits. More...

## Functions
XClockPs_Config * | XClock_LookupConfig (u16 DeviceId)
| Lookup the device configuration based on the unique device ID. More...

## Variables
XClockPs_Config | XClockPs_ConfigTable [XPAR_XCLOCKPS_NUM_INSTANCES]
| This table contains configuration information for clocking device in the system. More...
XClockPs_Config | XClockPs_ConfigTable [XPAR_XCLOCKPS_NUM_INSTANCES]
| configuration table defined in xclockps_g.c More...

## Macro Definition Documentation

#define XCLOCK_ASSIGN_DIVIDERS_S08 | ( |  | ParentTypeVal,
|  |  | DivIndexVal,
|  |  | CtrlRegVal
| ) |  |

Value:
{ \
.Shift = 8, \
.IsInit = FALSE, \
.EnableCount = 0, \
.Parent = XCLOCK_GENERATE_PARENT_ID(ParentTypeVal, DivIndexVal), \
.CtrlReg = CtrlRegVal, \
.Rate = XCLOCK_INVALID_RATE, \
}
XCLOCK_GENERATE_PARENT_ID
#define XCLOCK_GENERATE_PARENT_ID(type, idx)
Parent ID for node parents.
Definition: xclockps.h:132

Assign structure elements for dividers with control register shift of 8 bits.

#define XCLOCK_ASSIGN_DIVIDERS_S16 | ( |  | ParentTypeVal,
|  |  | DivIndexVal,
|  |  | CtrlRegVal
| ) |  |

Value:
{ \
.Shift = 16, \
.IsInit = FALSE, \
.EnableCount = 0, \
.Parent = XCLOCK_GENERATE_PARENT_ID(ParentTypeVal, DivIndexVal), \
.CtrlReg = CtrlRegVal, \
.Rate = XCLOCK_INVALID_RATE, \
}
XCLOCK_GENERATE_PARENT_ID
#define XCLOCK_GENERATE_PARENT_ID(type, idx)
Parent ID for node parents.
Definition: xclockps.h:132

Assign structure elements for dividers with control register shift of 16 bits.

## Function Documentation

XClockPs_Config* XClock_LookupConfig | ( | u16 | DeviceId | ) |

Lookup the device configuration based on the unique device ID.

The table contains the configuration info for each device in the system.

Parameters

  DeviceId | is the unique device ID of the device being looked up.

Returns
  A pointer to the configuration table entry corresponding to the given device ID, or NULL if no match is found.

Note
  None.

References XClockPs_ConfigTable.

## Variable Documentation

XClockPs_Config XClockPs_ConfigTable[XPAR_XCLOCKPS_NUM_INSTANCES]

configuration table defined in xclockps_g.c

configuration table defined in xclockps_g.c

Referenced by XClock_LookupConfig().

XClockPs_Config XClockPs_ConfigTable[XPAR_XCLOCKPS_NUM_INSTANCES]

Initial value:
= {
{
(u16)XPAR_XCLOCKPS_DEVICE_ID,
}
}

This table contains configuration information for clocking device in the system.

configuration table defined in xclockps_g.c

Referenced by XClock_LookupConfig().